curl -X POST "https://api.whatabot.app/api/v1/kanban/pipelines/pipeline-uuid/cards" \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"stageId": "stage-uuid", "values": {"name": "Jane Doe"}, "tags": ["hot"]}'
{
"id": "card-uuid",
"pipelineId": "pipeline-uuid",
"stageId": "stage-uuid",
"sessionId": null,
"tags": ["hot"],
"values": {
"name": "Jane Doe"
},
"createdAt": "2026-04-20T10:00:00.000Z",
"movedAt": "2026-04-20T10:00:00.000Z"
}
Kanban
Create Card
Create a new card in a pipeline.
POST
/
v1
/
kanban
/
pipelines
/
{pipelineId}
/
cards
curl -X POST "https://api.whatabot.app/api/v1/kanban/pipelines/pipeline-uuid/cards" \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"stageId": "stage-uuid", "values": {"name": "Jane Doe"}, "tags": ["hot"]}'
{
"id": "card-uuid",
"pipelineId": "pipeline-uuid",
"stageId": "stage-uuid",
"sessionId": null,
"tags": ["hot"],
"values": {
"name": "Jane Doe"
},
"createdAt": "2026-04-20T10:00:00.000Z",
"movedAt": "2026-04-20T10:00:00.000Z"
}
Creates a new card in a specific stage of the pipeline.
string
required
Your API key (prefixed with
wh_).string
required
Pipeline UUID.
Body
string
required
UUID of the stage where the card will be created.
object
Card field values (key = field ID, value = data).
string[]
List of tags for the card.
Payload examples
- Basic card
- Card with values
{
"stageId": "stage-uuid"
}
{
"stageId": "stage-uuid",
"values": {
"name": "Jane Doe",
"amount": 2500.00
},
"tags": ["enterprise", "hot"]
}
curl -X POST "https://api.whatabot.app/api/v1/kanban/pipelines/pipeline-uuid/cards" \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"stageId": "stage-uuid", "values": {"name": "Jane Doe"}, "tags": ["hot"]}'
{
"id": "card-uuid",
"pipelineId": "pipeline-uuid",
"stageId": "stage-uuid",
"sessionId": null,
"tags": ["hot"],
"values": {
"name": "Jane Doe"
},
"createdAt": "2026-04-20T10:00:00.000Z",
"movedAt": "2026-04-20T10:00:00.000Z"
}